Debian Bug report logs - #608995
Please activate support for file system quota.

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Mats Erik Andersson <mats.andersson@gisladisker.se>

Date: Wed, 5 Jan 2011 10:06:01 UTC

Severity: wishlist

Tags: pending

Found in version 8.1+dfsg-7

Fixed in version kfreebsd-8/8.2-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#608995; Package kfreebsd-8. (Wed, 05 Jan 2011 10:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 05 Jan 2011 10:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mats Erik Andersson <mats.andersson@gisladisker.se>
To: submit@bugs.debian.org
Subject: Please activate support for file system quota.
Date: Wed, 5 Jan 2011 11:03:21 +0100
Package: kfreebsd-8
Version: 8.1+dfsg-7
Severity: wishlist

onsdag den  5 januari 2011 klockan 10:01 skrev Robert Millan detta:
> 2011/1/5 Mats Erik Andersson <mats.andersson@gisladisker.se>:
> > I vehemently ask the developers in charge to insert that simple
> >
> >   option QUOTA
> >
> > for activating quota support for the Debian project port.
> >
> > Since many releases backwards, OpenBSD has activated quota
> > support in the GENERIC kernel, but FreeBSD has never followed
> > suite of some reason unknown to me.
> 
> Please use the BTS

In order to achieve a modern operating system, the quota support
should be active by default, not achieved only after compilation
of a custom kernel.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#608995; Package kfreebsd-8. (Thu, 27 Jan 2011 12:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 27 Jan 2011 12:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 608995@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Ed Maste <emaste@freebsd.org>
Cc: Mats Erik Andersson <mats.andersson@gisladisker.se>, 608995@bugs.debian.org
Subject: Re: RFS: freebsd-quota
Date: Thu, 27 Jan 2011 13:44:09 +0100
2011/1/26 Ed Maste <emaste@freebsd.org>:
> If you mean "kFreeBSD should ship with a quota-enabled kernel" then I'd
> say go for it.  The reason we don't have it on in upstream FreeBSD is
> largely historical; enabling quotas used to require additional locking
> that caused performance and other issues.  The additional locking is now
> not required, and it's just that nobody has stepped in to turn them on.

Thanks for clarifying. Adding this info to the BTS...

-- 
Robert Millan




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 20 Feb 2011 00:51:31 GMT) Full text and rfc822 format available.

Notification sent to Mats Erik Andersson <mats.andersson@gisladisker.se>:
Bug acknowledged by developer. (Sun, 20 Feb 2011 00:51:31 GMT) Full text and rfc822 format available.

Message #15 received at 608995-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 608995-close@bugs.debian.org
Subject: Bug#608995: fixed in kfreebsd-8 8.2-1
Date: Sun, 20 Feb 2011 00:48:29 +0000
Source: kfreebsd-8
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-1.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-1.diff.gz
kfreebsd-8_8.2-1.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-1.dsc
kfreebsd-8_8.2.orig.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2.orig.tar.gz
kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-1_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608995@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Feb 2011 23:01:52 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 583848 600061 602768 608995 609681 611476 613312
Changes: 
 kfreebsd-8 (8.2-1) unstable; urgency=low
 .
   [ Robert Millan ]
   * New upstream release.
     - 000_adaptive_machine_arch.diff: Remove (merged).
     - 000_ata.diff: Remove (merged).
     - 000_ufs_lookup.diff: Remove (merged).
     - 004_xargs.diff: Resync.
     - 102_POLL_HUP.diff: Remove (merged).
     - 104_linprocfs.diff: Remove (merged).
     - 904_dev_full.diff: Resync.
     - 999_firmware.diff: Resync.
   * Make this package buildable on GNU/Linux. Closes: #602768.
   * MIPS port (with malta flavor).
 .
   [ Petr Salinger ]
   * New upstream release, fixes local DoS. Closes: #611476, #613312.
     - 105_apm_amd64.diff: Resync.
     - 907_cpu_class.diff: Resync.
   * Extend 108_teken_utf8_table.diff for middle-dot l/L.
     Closes: #609681. Thanks to Robert Millan.
   * Add xen flavor on i386.
   * Enable quota.  Closes: #608995.
 .
   [ Aurelien Jarno ]
   * Enable CARP, PF and PFSYNC.  Closes: #583848, #600061.
Checksums-Sha1: 
 7307bed587381eac12740515773636f3a7baa2b6 2032 kfreebsd-8_8.2-1.dsc
 cd98de0934c8df9ef8ee31573be51a11190f6bc9 28312093 kfreebsd-8_8.2.orig.tar.gz
 29683539400035b2e94e305f5434a6d269ce5a97 84740 kfreebsd-8_8.2-1.diff.gz
 3a2ee3a390b74704fe5062cedb8a50df27c2597b 18710732 kfreebsd-source-8.2_8.2-1_all.deb
 6018961e91370a42632b3f99a476fee2a33d0f3a 7294248 kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
 fe1f877eed14666072d4cc92dfd7285cbf45a1c5 11120716 kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 909bb921117e8ca245c0ca1cdb5e393693912df2 47750 kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
 e6789aefe3142011680b6685d55904d64b1720ac 320276 kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 dad55bd03352d565ad0e12ebc81e07aae33cb664 47752 kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 e078af2c49ef5657ae374f9c4f7a2dd85ebdef379973d8b8a8e08eea3cd0fb37 2032 kfreebsd-8_8.2-1.dsc
 1a7608f5922236a89c1a40f83969d9c1a1c4d83ba63a1951b8edb35791a7ed01 28312093 kfreebsd-8_8.2.orig.tar.gz
 bd884ed8af212cf7da0d0b0f93dff6ad2e057291ef262c9736da3104b536ef2b 84740 kfreebsd-8_8.2-1.diff.gz
 0a97ff52b340c4a1e314f9ddc0f3c31d9529aab759369032e90b55acd3c11421 18710732 kfreebsd-source-8.2_8.2-1_all.deb
 51c18c841f7baf7b92ca2d087a1eff1e075e79a351454a5337c646e939279f1b 7294248 kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
 a44a3c355965ae359159cce6421d5ac5403364fc8dc3f1ba57c36f40c14ba164 11120716 kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 e487a945273e2824bb4b2470b15446da43fad15dfe3ef03356451e627566021e 47750 kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
 af3a757788908512073ccc5992cde3a8b1bfff63305eb7a1f64caf1efbc9a0a8 320276 kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 b22ee70f659bcead3e163b3edf082853c38de1ee6adcfc7d4b7c2a81cc46e145 47752 kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
Files: 
 efa0b2457ff4afaf4d3b382903a8e564 2032 kernel optional kfreebsd-8_8.2-1.dsc
 cfbb3358defa899261ac9de232c8210b 28312093 kernel optional kfreebsd-8_8.2.orig.tar.gz
 83687c685febf485cdec2544a007e37f 84740 kernel optional kfreebsd-8_8.2-1.diff.gz
 a5db016f0219a3d261c25ce873fb611f 18710732 kernel optional kfreebsd-source-8.2_8.2-1_all.deb
 a5481a97fd9f872731f038909fce48f6 7294248 kernel optional kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
 36d6b5ddd8630ab29c92677388d25181 11120716 kernel optional kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 561bfce83164aa42e464645be92a91ed 47750 kernel optional kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
 6aedb97e46ec292be51e36cff1056761 320276 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 59a23f2211c2c8e77d1ecd92e6a8d990 47752 kernel optional kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFNYEMxw3ao2vG823MRAhIlAJ9r3YPgcAAJ4h27UUSypVq4WaDlJgCcDYia
IPG+whROE+F1pwBcvnyA9Bc=
=hmpk
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 20 Feb 2011 07:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#608995; Package kfreebsd-8. (Thu, 24 Feb 2011 03:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Kaduk <kaduk@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 24 Feb 2011 03:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 608995@bugs.debian.org (full text, mbox):

From: Benjamin Kaduk <kaduk@MIT.EDU>
To: 608995@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: (Please activate support for file system quota.)
Date: Wed, 23 Feb 2011 22:00:35 -0500 (EST)
It looks like upstream FreeBSD is going to enable (UFS) quotas in GENERIC:
http://lists.freebsd.org/pipermail/freebsd-hackers/2011-February/034513.html
kib writes:
> I promise to enable UFS quotas in GENERIC in one week unless anybody 
> objects now.

-Ben Kaduk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Apr 2011 07:40:57 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 08 Aug 2011 18:51:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Sep 2011 07:36:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:23:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.